Installer les pilotes AMD Catalyst 12.10 sur Ubuntu 12.10/12.04 et Linux Mint.

Plop les bovins !!!

J’ai lu ici et là que pas mal de gens avaient rencontré des soucis avec leur cartes ATI sur Ubuntu 12.10, je suis tombé sur ce billet et je me suis donc dit que cela pouvait vous être utile.

Les pilotes AMD Catalyst viennent d’être publié et pourquoi pas régler vos terribles soucis, sait-on jamais. Comme à leur habitude les gens d’AMD n’ont pas publié de changelog pour la version Linux de leur pilote je ne saurai par conséquent pas vous dire ce qu’ils apportent de plus par rapport à la version précédente.

Il va falloir le découvrir vous même :)

NB : Avant de commencer l’installation gardez à l’esprit que ce genre de manipulation n’est pas sans risques, si tout marche bien pour vous je vous conseille de ne rien toucher. Si par conte vous rencontrez de gros soucis, vous n’avez peut être rien de plus à perdre.

Donc à vous de voir …

Méthode d’installation 1 (user avancés) :

On va donc commencer par désinstaller la version des pilotes présents sur votre machine à l’aide de cette commande :

sudo sh /usr/share/ati/fglrx-uninstall.sh

sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

Entrez ensuite ces quelques lignes :

sudo apt-get install unzip

cd /tmp && wget -c http://goo.gl/Bbeki -O catalyst-12.10-x86.x86_64.zip

unzip catalyst-12.10-x86.x86_64.zip

chmod +x amd-driver-installer-catalyst-12.10-x86.x86_64.run

sudo sh amd-driver-installer-catalyst-12.10-x86.x86_64.run

Vous devriez alors voir apparaître une fenêtre (voir ci-dessous) suivez les instructions.

Finissez l’installation en entrant ceci dans votre terminal :

sudo aticonfig --initial -f

Methode 2 (PPA) :

Si vous trouvez cette manipulation trop pompeuse vous pouvez également passer par le PPA suivant :

sudo add-apt-repository ppa:xorg-edgers/ppa

sudo apt-get update && sudo apt-get install fglrx-installer

Amusez-vous bien.

Moo !!!

source image 2, image 1


7 Responses

  1. Anonymous 23 janvier 2013 / 12 h 02 min

    Je comprends pas vos problèmes j’ai installé la 12.10 avec les driver ati (13.1) sans aucun soucis sur un ubuntu 12.10.

  2. fefe 24 octobre 2012 / 15 h 02 min

    Tu as raison pour les cartes amd, j’ai fais en juillet l’acquisition d’une carte ATI qui s’est tout de suite montrée plus efficace la nvidia GEforce 8800 que j’avais alors dans ma machine. Ca c’était sous la 12.04. Lorsque je suis passé en 12.10 sur la préversion de septembre, 9a a commencé à être moins bien, pour ne plus aller du tout (notemment les définitions de résolutions en mode restreint)… je suis donc revenu à la Nvidia avec les drivers libres et ça va super bien. A l’occas je vais réessayer de remettre la carte ATI avec tes supers infos… merci beaucoup.

  3. Gilles Poudevigne 24 octobre 2012 / 14 h 27 min

    Je suis une des ‘victimes’, lors du passage à la 12.10, du fait que les cartes de la série 4xxx ne sont plus supportés par AMD/ATI.
    Aussi, après 2 tentatives d’install avec les pilotes propriétaires qui se sont soldées à chaque fois par un échec, j’ai refait une install complète, en suivant cette fois suivi cette solution :
    sudo apt-get remove –purge fglrx fglRx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx
    sudo apt-get remove –purge xserver-xorg-video-ati xserver-xorg-video-radeon
    sudo apt-get install xserver-xorg-video-radeon
    reboot
    Puis
    sudo apt-get install xserver-xorg-video-ati
    reboot
    Et là, j’ai enfin un système fonctionnel !
    Je n’ai peut-être pas Catalyst, mais je me contente de cela, car je ne veux pas refaire pour la 4° fois une install à cause de la carte graphique. Cela va peut être me faire migrer vers une carte plus récente…

    Sinon, merci pour ton BLOG que je suis avec beaucoup de plaisir, et toujours plein de bons billets !

  4. noireaude la-vache-libre.com 23 octobre 2012 / 21 h 55 min

    J’ai une carte Nvidia et même tarif. J’avais toujours des soucis d’une version à l’autre. Je suis également passé sur le pilote libre « nouveau » et plus aucun soucis. Ça tourne, c’est fluide et plus de prise de tête.

    Bon j’ai entendu que pour ATI le pilote libre était un peu moins au point mais je n’ai pas pu le vérifier par moi même.

    Merci et content que ce blog te plaise.

    Au plaisir ;)

  5. Jack Mohegan 23 octobre 2012 / 21 h 51 min

    Pour ma part, j’ai désinstallé les drivers proprios pour le moment. La version 12.10 des drivers n’est pas parfaite mais la version dans les dépôts officiels ne l’est pas non plus. Par exemple, il m’est impossible d’afficher la barre d’avancement lorsque totem est en plein écran.

    En attendant mieux, je reste sur les drivers libres.

    (Hors sujet : sympa ton blogue !)

  6. noireaude la-vache-libre.com 23 octobre 2012 / 21 h 47 min

    Plop ce genre de soucis arrive depuis la version 3.5 du Noyau et en effet à ce que j’ai pu entendre certaines version des pilotes peuvent faire planter des applications (dont Totem).

    Tu peux fouiner sur cette page pour en savoir plus http://doc.ubuntu-fr.org/catalyst et éventuellement désinstaller cette version pour en essayer une autre plus ancienne.

    Ils précisent que selon les machines le meilleur pilote n’est pas forcément toujours le meilleur?

  7. Jack Mohegan 23 octobre 2012 / 21 h 38 min

    Après installation, totem ne se lance plus. J’obtiens le message suivant:
    < <
    (totem:2068): Gdk-ERROR **: The program ‘totem’ received an X Window System error.
    This probably reflects a bug in the program.
    The error was ‘BadRequest (invalid request code or no such operation)’.
    (Details: serial 148 error_code 1 request_code 153 minor_code 19)
    (Note to programmers: normally, X errors are reported asynchronously;
    that is, you will receive the error a while after causing it.
    To debug your program, run it with the GDK_SYNCHRONIZE environment
    variable to change this behavior. You can then get a meaningful
    backtrace from your debugger if you break on the gdk_x_error() function.)
    Trappe pour point d’arrêt et de trace
    >>

Comments are closed.